{
    "name": "naturalis/drupal-bioportal",
    "description": "Bioportal - zoekmachine voor Natuur en specimen data van Naturalis",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "minimum-stability": "dev",
    "prefer-stable": true,
    "require": {
        "composer/installers": "^2.2",
        "cweagans/composer-patches": "^1.7",
        "drupal/admin_toolbar": "^3.4",
        "drupal/adminimal_theme": "^1.7",
        "drupal/core-composer-scaffold": "^10",
        "drupal/core-project-message": "^10",
        "drupal/core-recommended": "^10",
        "drupal/decoupled_router": "^2.0",
        "drupal/google_tag": "^2.0",
        "drupal/jsonapi_extras": "^3.24",
        "drupal/jsonapi_menu_items": "^1.2",
        "drupal/mailsystem": "^4.5",
        "drupal/menu_block": "^1.10",
        "drupal/metatag": "^2.0",
        "drupal/migrate_upgrade": "^4.0",
        "drupal/monolog": "^3.0",
        "drupal/redirect": "^1.9",
        "drupal/redirect_after_login": "^3.0",
        "drupal/restui": "^1.21",
        "drupal/smart_trim": "^2.1",
        "drupal/smtp": "^1.4",
        "drupal/view_unpublished": "^1.1",
        "drush/drush": "^12.4",
        "monolog/monolog": "^3.5",
        "symfony/serializer": "^6.4"
    },
    "require-dev": {
        "drupal/coder": "^8.3",
        "drupal/drupal-extension": "^5.0.0",
        "mglaman/phpstan-drupal": "^1.1.26",
        "php-parallel-lint/php-parallel-lint": "^1.2",
        "enlightn/security-checker": "^1",
        "phpmd/phpmd": "^2.8"
    },
    "scripts": {
        "post-install-cmd": [
            "mkdir -p data/database/init && cp config/db/db.sql data/database/init/db.sql",
            "mkdir -p data/files && chown -R 82:82 data/files",
            "rm -rf public/json_dashboard && ln -s ../src/external/dashboard public/json_dashboard",
            "cd public/sites/default/ && rm -rf settings.php && ln -s ../../../src/settings.php"
        ]
    },
    "autoload": {
        "psr-4": {
            "Drupal\\memcache\\": "public/modules/contrib/memcache/src"
        }
    },
    "config": {
        "platform": {
            "php": "8.3"
        },
        "apcu-autoloader": true,
        "autoloader-suffix": "Bioportal",
        "discard-changes": true,
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "composer/installers": true,
            "cweagans/composer-patches": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "drupal-composer/preserve-paths": true
        }
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "public/"
            }
        },
        "installer-paths": {
            "public/core": [
                "type:drupal-core"
            ],
            "public/libraries/{$name}": [
                "type:drupal-library"
            ],
            "public/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "public/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "public/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "vendor/drupal": [
                "type:drupal-console-language"
            ]
        },
        "patches": {
            "drupal/core": {
                "Fix fatal in views default argument handling": "https://www.drupal.org/files/issues/2024-06-24/2325899-212.patch",
                "Check missing options query": "src/patches/migrate_patch.patch"
            }

        }
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ]
}
